<?xml version="1.0" encoding="utf-8"?>

<layout xmlns:app="http://schemas.android.com/apk/res-auto">

    <androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:orientation="vertical"
        app:cardCornerRadius="12dp"
        app:cardElevation="0dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/light_blue_300"
                android:gravity="center_horizontal">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_margin="24dp"
                    android:src="@drawable/ic_error_white_24dp" />

            </RelativeLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:paddingLeft="24dp"
                android:paddingTop="24dp"
                android:paddingRight="24dp">

                <TextView
                    android:id="@+id/title_text"
                    style="@style/TextViewMaterial.Dialog.HeadlineText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_horizontal"
                    android:text="@string/action_print" />

                <TextView
                    android:id="@+id/description_text"
                    style="@style/TextViewMaterial"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="16dp"
                    android:layout_marginBottom="16dp"
                    android:gravity="left"
                    android:text="@string/message_print_packing_list" />


                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp">

                    <androidx.constraintlayout.widget.Guideline
                        android:id="@+id/center_buttons_guideline"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        app:layout_constraintGuide_percent="0.5" />


                    <com.google.android.material.button.MaterialButton
                        android:id="@+id/button_abort"
                        style="@style/Button.PrimaryOutline"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="8dp"
                        android:layout_marginRight="8dp"
                        android:text="@string/no"
                        app:layout_constraintEnd_toStartOf="@id/center_buttons_guideline"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        app:strokeColor="@color/colorPrimary" />


                    <com.google.android.material.button.MaterialButton
                        android:id="@+id/button_confirm"
                        style="@style/Button.PrimaryFull"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="8dp"
                        android:layout_marginRight="8dp"
                        android:text="@string/yes"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="@id/center_buttons_guideline"
                        app:layout_constraintTop_toTopOf="parent" />


                </androidx.constraintlayout.widget.ConstraintLayout>

            </LinearLayout>


        </LinearLayout>


    </androidx.cardview.widget.CardView>

    <!--<androidx.appcompat.widget.AppCompatTextView-->
    <!--android:layout_width="match_parent"-->
    <!--android:layout_height="wrap_content"-->
    <!--android:text="@string/action_print"-->
    <!--style="@style/TextViewMaterial.Dialog.HeadlineText"-->
    <!--android:gravity="center_horizontal"/>-->


    <!--<LinearLayout-->
    <!--android:orientation="vertical"-->
    <!--android:layout_width="match_parent"-->
    <!--android:layout_height="match_parent"-->
    <!--android:padding="16dp">-->

    <!--<LinearLayout-->
    <!--android:layout_width="match_parent"-->
    <!--android:layout_height="match_parent"-->
    <!--android:orientation="horizontal"-->
    <!--android:gravity="center_horizontal">-->

    <!--<androidx.appcompat.widget.AppCompatTextView-->
    <!--android:id="@+id/print_message"-->
    <!--android:layout_width="wrap_content"-->
    <!--android:layout_height="wrap_content"-->
    <!--android:layout_margin="16dp"-->
    <!--style="@style/TextInputLayout.OutlinePrimary"-->
    <!--android:textColor="#5F6368"-->
    <!--android:textSize="16sp"-->
    <!--android:layout_gravity="center"-->
    <!--android:gravity="center_horizontal"-->
    <!--tools:text="La procedura stamperà una packing list"/>-->

    <!--</LinearLayout>-->


    <!--<LinearLayout-->
    <!--android:layout_width="match_parent"-->
    <!--android:layout_height="match_parent"-->
    <!--android:orientation="horizontal"-->
    <!--android:paddingTop="8dp"-->
    <!--android:gravity="bottom|center_horizontal">-->


    <!--<com.google.android.material.button.MaterialButton-->
    <!--android:id="@+id/button_abort"-->
    <!--android:layout_width="wrap_content"-->
    <!--android:layout_height="wrap_content"-->
    <!--style="@style/Button.PrimaryOutline"-->
    <!--app:icon="@drawable/ic_clear_24dp"-->
    <!--android:layout_marginEnd="8dp"-->
    <!--android:text="@android:string/no"/>-->


    <!--<com.google.android.material.button.MaterialButton-->
    <!--android:id="@+id/button_confirm"-->
    <!--android:layout_width="wrap_content"-->
    <!--android:layout_height="wrap_content"-->
    <!--style="@style/Button.PrimaryFull"-->
    <!--app:icon="@drawable/ic_print_24dp"-->
    <!--android:text="@android:string/yes"/>-->
    <!--</LinearLayout>-->

    <!--</LinearLayout>-->

    <!--</LinearLayout>-->
    <!--</androidx.cardview.widget.CardView>-->

</layout>